/*
 * read_image.h
 *
 * (C) Copyright 2002-2007, Axis Communications AB, LUND, SWEDEN
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef __READ_IMAGE_H__
#define __READ_IMAGE_H__

#include "flash.h"

extern int read_image(int datafd, struct partition_layout *partition,
                      unsigned iov_offset);

extern int read_to_buffer(int datafd, char *buffer, int len);

extern int read_additional_data(int datafd, const char *end_token);

extern void read_rest(int datafd);

#endif /* __READ_IMAGE_H__ */
